Bug 599116 - ruby QMF bindings can't query agents.
ruby QMF bindings can't query agents.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
Development
All Linux
high Severity high
: ---
: ---
Assigned To: Ted Ross
MRG Quality Engineering
: Regression
Depends On:
Blocks: 529243 564419 609298
  Show dependency treegraph
 
Reported: 2010-06-02 13:30 EDT by Ian Main
Modified: 2013-05-13 11:11 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 609298 (view as bug list)
Environment:
Last Closed: 2013-05-13 11:11:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
libvirt-list lists libvirt-qpid objects. (1.87 KB, text/plain)
2010-06-02 13:30 EDT, Ian Main
no flags Details

  None (edit)
Description Ian Main 2010-06-02 13:30:49 EDT
Created attachment 419106 [details]
libvirt-list lists libvirt-qpid objects.

Description of problem:

I wrote a simple program to query libvirt-qpid some time ago.  This program no longer works with latest release in RHEL6.

Version-Release number of selected component (if applicable):

ruby-qmf-0.7.946106-2.el6.x86_64
libvirt-qpid-0.2.20-2.el6.x86_64
qpid-cpp-server-0.7.946106-2.el6.x86_64
qpid-cpp-client-0.7.946106-2.el6.x86_64


How reproducible:

Very

Steps to Reproduce:
1. Run qpidd, libvirt-qpid
2. Run libvirt-list.rb, note lack of return.
3.
  
Actual results:

No objects are found.

Expected results:

libvirt-qpid objects should be found.

Additional info:

libvirt-list.rb is attached.
Comment 2 Ian Main 2010-06-08 12:19:50 EDT
if you are using ruby to query libvirt-qpid, then yes.  libvirt-qpid is working fine as of the last patch.  However, the ruby qmf bindings are not working.

I think this should be high priority but will leave that up to tross.
Comment 3 Jan Sarenik 2010-06-22 06:36:34 EDT
This bug does not have any Target Milestone set.
Is that expected, Ian? This way it will be forgotten soon.
Please set it if you want this bug to be resolved. Thanks.
Comment 5 Ian Main 2010-06-28 16:13:51 EDT
OK, I'm setting this to high in the hopes it will be looked at. :)
Comment 6 Ian Main 2010-06-28 16:20:10 EDT
Well I'd like to see this fixed for rhel6 but am not sure what target milestone should be set to.  I set it to 'next version' for now?
Comment 10 Jan Sarenik 2010-07-20 02:46:59 EDT
Ted, are you working on this for 1.3? This bug prevents me from
running the stress test written by M. Morsi - see branch
jasan at http://ooo.englab.brq.redhat.com/c/movitto-qmf.git/
which contains current changes that make at least the C++ part
work (methods tested with qpid-tool). But the ruby console does
not see the C++ agent so I can not use the test as it is.
It worked previously.
Comment 11 Jan Sarenik 2010-07-27 11:05:07 EDT
Is this still a valid mrg-blocker after today's explanation by Ted that this
is reversed only for RHEL6 so that libvirt-qmf works there?
Comment 12 Ian Main 2010-07-27 11:16:38 EDT
This is the WAY FORWARD(tm).  These bindings are how the python bindings should be done along side the ruby bindings.  This should definitely be a blocker.  This should never have gotten as far behind as it is IMO.
Comment 13 Jan Sarenik 2010-08-04 03:31:58 EDT
What's the status here, please?
Comment 18 Jan Sarenik 2011-03-02 10:22:15 EST
Is this going into 2.0? What's the progress?
Comment 19 Ted Ross 2011-03-23 08:48:08 EDT
I'm nacking this BZ...  A new Ruby API has been introduced for QMFv2 which does not have the same problem as the existing Ruby API.  There are two possibilities for moving forward:

1) Migrate the test tools to the new API (preferred)
2) Provide old-API support for QMFv2 (I'm not sure there's value in doing this)

Note You need to log in before you can comment on or make changes to this bug.